BizKitHub
DocsAPI ReferenceBranch/bff/branch/add-email
postBranchAdmin BFF

/bff/branch/add-email

Organisation branches (pobočky) management. Each organisation can create any number of branches. A branch contains name, description, internal code, address, GPS coordinates, manager, opening hours (regular + exceptions), email/phone contacts and a photo gallery with a dedicated main photo.

BranchpostBffBranchAdd-email

Parameters

JSON body

Request body

application/json
slugstringRequired

Branch slug.

emailstringRequiredemail

Email address to attach.

rolestringOptional

Role label (e.g. "Reception").

Response schema

1 status code documented

200Success
successbooleanRequired

Response example

application/json
{
  "success": false
}

Request example

POST /bff/branch/add-email

post
curl -X POST "https://api.bizkithub.com/bff/branch/add-email" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "slug": "example_slug",
  "email": "example_email",
  "role": "example_role"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key